Subject: Re: bug#40651: 26.3; eshell using (fn param) syntax breaks lookups

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 23 May 2022 13:12:22 +0200

Phil <[email-masked]> writes:

> Start with clean emacs install.
> Install company-mode using package installer.
> Start eshell.
> Enable company-mode.
>
> Satisfy yourself that lookups work on paths, eg:
> cd /home/
> Will give a list of completions of directories under home.
>
> Satisfy yourself that lookups work on regular eshell command syntax, eg:
> find-
> Will give a list of completions including find-file, etc.
>
> Now try the same thing but use lisp syntax as supported by eshell, eg:
> (find-
>
> This fails with:
> Completion function pcomplete-completions-at-point uses a deprecated
> calling convention

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I vaguely seem to remember something like this being fixed in recent
Emacs versions, but I may well be misremembering.  Do you still see this
problem in a recent Emacs version like Emacs 28.1?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no